tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Frank Liu <f...@mail.vipstage.com>
Subject xml parser in 4.0.6 and 4.1.12
Date Mon, 14 Oct 2002 05:10:39 GMT

Hi all,

I am trying to migrate one application from weblogic to tomcat.
I was able to get it work in  tomcat 4.0.6 but it fails in tomcat
4.1.12. The problem seems to lie in the xml parser. the jar files
in the "jakarta-tomcat-4.1.12/common/endorsed" seems not compatible
with the old ones. since the application is a binary only commercial
product, I won't be able to make changes. Is there a workaround, or
am I stuck with tomcat 4.0.x?

java.lang.VerifyError: (class: com/xxx/dom/stubs/ApacheXMLStub, method:
getXMLDocumentFromURL signature: (Ljava/lang/String;)Lorg/w3c/dom/Document;)
Incompatible object argument for function call
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:140)
...

Thanks!



--
To unsubscribe, e-mail:   <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-user-help@jakarta.apache.org>


Mime
View raw message